# azure.mgmt.datafactory.operations module

class `azure.mgmt.datafactory.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists the available Azure Data Factory API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``FactoriesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  FactoriesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `configure_factory_repo`(location_id, factory_resource_id=None, repo_configuration=None, custom_headers=None, raw=False, **operation_config)

    Updates a factory’s repo information.

    Parameters:

    - location_id (str) – The location identifier.
    - factory_resource_id (str) – The factory resource id.
    - repo_configuration (FactoryRepoConfiguration) – Git repo information of the factory.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Factory or ClientRawResponse if raw=true
    Return type: | Factory or ClientRawResponse
    Raises: | `CloudError`

  `create_or_update`(resource_group_name, factory_name, factory, if_match=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a factory.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - factory (Factory) – Factory resource definition.
    - if_match (str) – ETag of the factory entity. Should only be specified for update, for which it should match existing entity or can be * for unconditional update.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Factory or ClientRawResponse if raw=true
    Return type: | Factory or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, factory_name, custom_headers=None, raw=False, **operation_config)

    Deletes a factory.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, factory_name, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Gets a factory.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - if_none_match (str) – ETag of the factory entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Factory or ClientRawResponse if raw=true
    Return type: | Factory or ClientRawResponse
    Raises: | `CloudError`

  `get_data_plane_access`(resource_group_name, factory_name, policy, custom_headers=None, raw=False, **operation_config)

    Get Data Plane access.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - policy (UserAccessPolicy) – Data Plane user access policy definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessPolicyResponse or ClientRawResponse if raw=true
    Return type: | AccessPolicyResponse or ClientRawResponse
    Raises: | `CloudError`

  `get_git_hub_access_token`(resource_group_name, factory_name, git_hub_access_token_request, custom_headers=None, raw=False, **operation_config)

    Get GitHub Access Token.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - git_hub_access_token_request (GitHubAccessTokenRequest) – Get GitHub access token request definition.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | GitHubAccessTokenResponse or ClientRawResponse if raw=true
    Return type: | GitHubAccessTokenResponse or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists factories under the specified subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Factory
    Return type: | FactoryPaged[Factory]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists factories.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Factory
    Return type: | FactoryPaged[Factory]
    Raises: | `CloudError`

  `update`(resource_group_name, factory_name, tags=None, identity=None, custom_headers=None, raw=False, **operation_config)

    Updates a factory.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - tags (dict[str, str]) – The resource tags.
    - identity (FactoryIdentity) – Managed service identity of the factory.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Factory or ClientRawResponse if raw=true
    Return type: | Factory or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``ExposureControlOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ExposureControlOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `get_feature_value`(location_id, feature_name=None, feature_type=None, custom_headers=None, raw=False, **operation_config)

    Get exposure control feature for specific location.

    Parameters:

    - location_id (str) – The location identifier.
    - feature_name (str) – The feature name.
    - feature_type (str) – The feature type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ExposureControlResponse or ClientRawResponse if raw=true
    Return type: | ExposureControlResponse or ClientRawResponse
    Raises: | `CloudError`

  `get_feature_value_by_factory`(resource_group_name, factory_name, feature_name=None, feature_type=None, custom_headers=None, raw=False, **operation_config)

    Get exposure control feature for specific factory.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - feature_name (str) – The feature name.
    - feature_type (str) – The feature type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ExposureControlResponse or ClientRawResponse if raw=true
    Return type: | ExposureControlResponse or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``IntegrationRuntimesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationRuntimesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `create_linked_integration_runtime`(resource_group_name, factory_name, integration_runtime_name, create_linked_integration_runtime_request, custom_headers=None, raw=False, **operation_config)

    Create a linked integration runtime entry in a shared integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - create_linked_integration_runtime_request (CreateLinkedIntegrationRuntimeRequest) – The linked integration runtime properties.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeStatusResponse or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeStatusResponse or ClientRawResponse
    Raises: | `CloudError`

  `create_or_update`(resource_group_name, factory_name, integration_runtime_name, properties, if_match=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates an integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - properties (IntegrationRuntime) – Integration runtime properties.
    - if_match (str) – ETag of the integration runtime entity. Should only be specified for update, for which it should match existing entity or can be * for unconditional update.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeResource or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeResource or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, **operation_config)

    Deletes an integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, factory_name, integration_runtime_name, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Gets an integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - if_none_match (str) – ETag of the integration runtime entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeResource or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeResource or ClientRawResponse
    Raises: | `CloudError`

  `get_connection_info`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, **operation_config)

    Gets the on-premises integration runtime connection information for encrypting the on-premises data source credentials.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeConnectionInfo or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeConnectionInfo or ClientRawResponse
    Raises: | `CloudError`

  `get_monitoring_data`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, **operation_config)

    Get the integration runtime monitoring data, which includes the monitor data for all the nodes under this integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeMonitoringData or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeMonitoringData or ClientRawResponse
    Raises: | `CloudError`

  `get_status`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, **operation_config)

    Gets detailed status information for an integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeStatusResponse or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeStatusResponse or ClientRawResponse
    Raises: | `CloudError`

  `list_auth_keys`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, **operation_config)

    Retrieves the authentication keys for an integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeAuthKeys or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeAuthKeys or ClientRawResponse
    Raises: | `CloudError`

  `list_by_factory`(resource_group_name, factory_name, custom_headers=None, raw=False, **operation_config)

    Lists integration runtimes.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of IntegrationRuntimeResource
    Return type: | IntegrationRuntimeResourcePaged[IntegrationRuntimeResource]
    Raises: | `CloudError`

  `regenerate_auth_key`(resource_group_name, factory_name, integration_runtime_name, key_name=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the authentication key for an integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - key_name (str or IntegrationRuntimeAuthKeyName) – The name of the authentication key to regenerate. Possible values include: ‘authKey1’, ‘authKey2’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeAuthKeys or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeAuthKeys or ClientRawResponse
    Raises: | `CloudError`

  `remove_links`(resource_group_name, factory_name, integration_runtime_name, linked_factory_name, custom_headers=None, raw=False, **operation_config)

    Remove all linked integration runtimes under specific data factory in a self-hosted integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - linked_factory_name (str) – The data factory name for linked integration runtime.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `start`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts a ManagedReserved type integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns IntegrationRuntimeStatusResponse or ClientRawResponse<IntegrationRuntimeStatusResponse> if raw==True
    Return type: | AzureOperationPoller[IntegrationRuntimeStatusResponse] or AzureOperationPoller[ClientRawResponse[IntegrationRuntimeStatusResponse]]
    Raises: | `CloudError`

  `stop`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Stops a ManagedReserved type integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `sync_credentials`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, **operation_config)

    Force the integration runtime to synchronize credentials across integration runtime nodes, and this will override the credentials across all worker nodes with those available on the dispatcher node. If you already have the latest credential backup file, you should manually import it (preferred) on any self-hosted integration runtime node than using this API directly.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, factory_name, integration_runtime_name, auto_update=None, update_delay_offset=None, custom_headers=None, raw=False, **operation_config)

    Updates an integration runtime.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - auto_update (str or IntegrationRuntimeAutoUpdate) – Enables or disables the auto-update feature of the self-hosted integration runtime. See https://go.microsoft.com/fwlink/?linkid=854189. Possible values include: ‘On’, ‘Off’
    - update_delay_offset (str) – The time offset (in hours) in the day, e.g., PT03H is 3 hours. The integration runtime auto update will happen on that time.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeResource or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeResource or ClientRawResponse
    Raises: | `CloudError`

  `upgrade`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, **operation_config)

    Upgrade self-hosted integration runtime to latest version if availability.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``IntegrationRuntimeObjectMetadataOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationRuntimeObjectMetadataOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `get`(resource_group_name, factory_name, integration_runtime_name, metadata_path=None, custom_headers=None, raw=False, **operation_config)

    Get a SSIS integration runtime object metadata by specified path. The return is pageable metadata list.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - metadata_path (str) – Metadata path.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SsisObjectMetadataListResponse or ClientRawResponse if raw=true
    Return type: | SsisObjectMetadataListResponse or ClientRawResponse
    Raises: | `CloudError`

  `refresh`(resource_group_name, factory_name, integration_runtime_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Refresh a SSIS integration runtime object metadata.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns SsisObjectMetadataStatusResponse or ClientRawResponse<SsisObjectMetadataStatusResponse> if raw==True
    Return type: | AzureOperationPoller[SsisObjectMetadataStatusResponse] or AzureOperationPoller[ClientRawResponse[SsisObjectMetadataStatusResponse]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``IntegrationRuntimeNodesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  IntegrationRuntimeNodesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `delete`(resource_group_name, factory_name, integration_runtime_name, node_name, custom_headers=None, raw=False, **operation_config)

    Deletes a self-hosted integration runtime node.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - node_name (str) – The integration runtime node name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, factory_name, integration_runtime_name, node_name, custom_headers=None, raw=False, **operation_config)

    Gets a self-hosted integration runtime node.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - node_name (str) – The integration runtime node name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SelfHostedIntegrationRuntimeNode or ClientRawResponse if raw=true
    Return type: | SelfHostedIntegrationRuntimeNode or ClientRawResponse
    Raises: | `CloudError`

  `get_ip_address`(resource_group_name, factory_name, integration_runtime_name, node_name, custom_headers=None, raw=False, **operation_config)

    Get the IP address of self-hosted integration runtime node.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - node_name (str) – The integration runtime node name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | IntegrationRuntimeNodeIpAddress or ClientRawResponse if raw=true
    Return type: | IntegrationRuntimeNodeIpAddress or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, factory_name, integration_runtime_name, node_name, concurrent_jobs_limit=None, custom_headers=None, raw=False, **operation_config)

    Updates a self-hosted integration runtime node.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - integration_runtime_name (str) – The integration runtime name.
    - node_name (str) – The integration runtime node name.
    - concurrent_jobs_limit (int) – The number of concurrent jobs permitted to run on the integration runtime node. Values between 1 and maxConcurrentJobs(inclusive) are allowed.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | SelfHostedIntegrationRuntimeNode or ClientRawResponse if raw=true
    Return type: | SelfHostedIntegrationRuntimeNode or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``LinkedServicesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  LinkedServicesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `create_or_update`(resource_group_name, factory_name, linked_service_name, properties, if_match=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a linked service.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - linked_service_name (str) – The linked service name.
    - properties (LinkedService) – Properties of linked service.
    - if_match (str) – ETag of the linkedService entity. Should only be specified for update, for which it should match existing entity or can be * for unconditional update.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LinkedServiceResource or ClientRawResponse if raw=true
    Return type: | LinkedServiceResource or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, factory_name, linked_service_name, custom_headers=None, raw=False, **operation_config)

    Deletes a linked service.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - linked_service_name (str) – The linked service name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, factory_name, linked_service_name, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Gets a linked service.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - linked_service_name (str) – The linked service name.
    - if_none_match (str) – ETag of the linked service entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | LinkedServiceResource or ClientRawResponse if raw=true
    Return type: | LinkedServiceResource or ClientRawResponse
    Raises: | `CloudError`

  `list_by_factory`(resource_group_name, factory_name, custom_headers=None, raw=False, **operation_config)

    Lists linked services.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of LinkedServiceResource
    Return type: | LinkedServiceResourcePaged[LinkedServiceResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``DatasetsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DatasetsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `create_or_update`(resource_group_name, factory_name, dataset_name, properties, if_match=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a dataset.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - dataset_name (str) – The dataset name.
    - properties (Dataset) – Dataset properties.
    - if_match (str) – ETag of the dataset entity. Should only be specified for update, for which it should match existing entity or can be * for unconditional update.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DatasetResource or ClientRawResponse if raw=true
    Return type: | DatasetResource or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, factory_name, dataset_name, custom_headers=None, raw=False, **operation_config)

    Deletes a dataset.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - dataset_name (str) – The dataset name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, factory_name, dataset_name, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Gets a dataset.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - dataset_name (str) – The dataset name.
    - if_none_match (str) – ETag of the dataset entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | DatasetResource or ClientRawResponse if raw=true
    Return type: | DatasetResource or ClientRawResponse
    Raises: | `CloudError`

  `list_by_factory`(resource_group_name, factory_name, custom_headers=None, raw=False, **operation_config)

    Lists datasets.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of DatasetResource
    Return type: | DatasetResourcePaged[DatasetResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``PipelinesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  PipelinesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `create_or_update`(resource_group_name, factory_name, pipeline_name, pipeline, if_match=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a pipeline.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - pipeline_name (str) – The pipeline name.
    - pipeline (PipelineResource) – Pipeline resource definition.
    - if_match (str) – ETag of the pipeline entity. Should only be specified for update, for which it should match existing entity or can be * for unconditional update.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | PipelineResource or ClientRawResponse if raw=true
    Return type: | PipelineResource or ClientRawResponse
    Raises: | `CloudError`

  `create_run`(resource_group_name, factory_name, pipeline_name, reference_pipeline_run_id=None, is_recovery=None, start_activity_name=None, parameters=None, custom_headers=None, raw=False, **operation_config)

    Creates a run of a pipeline.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - pipeline_name (str) – The pipeline name.
    - reference_pipeline_run_id (str) – The pipeline run identifier. If run ID is specified the parameters of the specified run will be used to create a new run.
    - is_recovery (bool) – Recovery mode flag. If recovery mode is set to true, the specified referenced pipeline run and the new run will be grouped under the same groupId.
    - start_activity_name (str) – In recovery mode, the rerun will start from this activity. If not specified, all activities will run.
    - parameters (dict[str, object]) – Parameters of the pipeline run. These parameters will be used only if the runId is not specified.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CreateRunResponse or ClientRawResponse if raw=true
    Return type: | CreateRunResponse or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, factory_name, pipeline_name, custom_headers=None, raw=False, **operation_config)

    Deletes a pipeline.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - pipeline_name (str) – The pipeline name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, factory_name, pipeline_name, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Gets a pipeline.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - pipeline_name (str) – The pipeline name.
    - if_none_match (str) – ETag of the pipeline entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | PipelineResource or ClientRawResponse if raw=true
    Return type: | PipelineResource or ClientRawResponse
    Raises: | `CloudError`

  `list_by_factory`(resource_group_name, factory_name, custom_headers=None, raw=False, **operation_config)

    Lists pipelines.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of PipelineResource
    Return type: | PipelineResourcePaged[PipelineResource]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``PipelineRunsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  PipelineRunsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `cancel`(resource_group_name, factory_name, run_id, is_recursive=None, custom_headers=None, raw=False, **operation_config)

    Cancel a pipeline run by its run ID.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - run_id (str) – The pipeline run identifier.
    - is_recursive (bool) – If true, cancel all the Child pipelines that are triggered by the current pipeline.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, factory_name, run_id, custom_headers=None, raw=False, **operation_config)

    Get a pipeline run by its run ID.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - run_id (str) – The pipeline run identifier.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | PipelineRun or ClientRawResponse if raw=true
    Return type: | PipelineRun or ClientRawResponse
    Raises: | `CloudError`

  `query_by_factory`(resource_group_name, factory_name, filter_parameters, custom_headers=None, raw=False, **operation_config)

    Query pipeline runs in the factory based on input filter conditions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - filter_parameters (RunFilterParameters) – Parameters to filter the pipeline run.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | PipelineRunsQueryResponse or ClientRawResponse if raw=true
    Return type: | PipelineRunsQueryResponse or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``ActivityRunsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ActivityRunsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `query_by_pipeline_run`(resource_group_name, factory_name, run_id, filter_parameters, custom_headers=None, raw=False, **operation_config)

    Query activity runs based on input filter conditions.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - run_id (str) – The pipeline run identifier.
    - filter_parameters (RunFilterParameters) – Parameters to filter the activity runs.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ActivityRunsQueryResponse or ClientRawResponse if raw=true
    Return type: | ActivityRunsQueryResponse or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``TriggersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  TriggersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `create_or_update`(resource_group_name, factory_name, trigger_name, properties, if_match=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - properties (Trigger) – Properties of the trigger.
    - if_match (str) – ETag of the trigger entity. Should only be specified for update, for which it should match existing entity or can be * for unconditional update.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TriggerResource or ClientRawResponse if raw=true
    Return type: | TriggerResource or ClientRawResponse
    Raises: | `CloudError`

  `delete`(resource_group_name, factory_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Deletes a trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, factory_name, trigger_name, if_none_match=None, custom_headers=None, raw=False, **operation_config)

    Gets a trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - if_none_match (str) – ETag of the trigger entity. Should only be specified for get. If the ETag matches the existing entity tag, or if * was provided, then no content will be returned.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TriggerResource or ClientRawResponse if raw=true
    Return type: | TriggerResource or ClientRawResponse
    Raises: | `CloudError`

  `get_event_subscription_status`(resource_group_name, factory_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Get a trigger’s event subscription status.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TriggerSubscriptionOperationStatus or ClientRawResponse if raw=true
    Return type: | TriggerSubscriptionOperationStatus or ClientRawResponse
    Raises: | `CloudError`

  `list_by_factory`(resource_group_name, factory_name, custom_headers=None, raw=False, **operation_config)

    Lists triggers.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of TriggerResource
    Return type: | TriggerResourcePaged[TriggerResource]
    Raises: | `CloudError`

  `start`(resource_group_name, factory_name, trigger_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts a trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `stop`(resource_group_name, factory_name, trigger_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Stops a trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `subscribe_to_events`(resource_group_name, factory_name, trigger_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Subscribe event trigger to events.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns TriggerSubscriptionOperationStatus or ClientRawResponse<TriggerSubscriptionOperationStatus> if raw==True
    Return type: | AzureOperationPoller[TriggerSubscriptionOperationStatus] or AzureOperationPoller[ClientRawResponse[TriggerSubscriptionOperationStatus]]
    Raises: | `CloudError`

  `unsubscribe_from_events`(resource_group_name, factory_name, trigger_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Unsubscribe event trigger from events.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns TriggerSubscriptionOperationStatus or ClientRawResponse<TriggerSubscriptionOperationStatus> if raw==True
    Return type: | AzureOperationPoller[TriggerSubscriptionOperationStatus] or AzureOperationPoller[ClientRawResponse[TriggerSubscriptionOperationStatus]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``TriggerRunsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  TriggerRunsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `query_by_factory`(resource_group_name, factory_name, filter_parameters, custom_headers=None, raw=False, **operation_config)

    Query trigger runs.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - filter_parameters (RunFilterParameters) – Parameters to filter the pipeline run.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TriggerRunsQueryResponse or ClientRawResponse if raw=true
    Return type: | TriggerRunsQueryResponse or ClientRawResponse
    Raises: | `CloudError`

  `rerun`(resource_group_name, factory_name, trigger_name, run_id, custom_headers=None, raw=False, **operation_config)

    Rerun single trigger instance by runId.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - run_id (str) – The pipeline run identifier.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>

class `azure.mgmt.datafactory.operations.``RerunTriggersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RerunTriggersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version. Constant value: “2018-06-01”.

  `cancel`(resource_group_name, factory_name, trigger_name, rerun_trigger_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Cancels a trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - rerun_trigger_name (str) – The rerun trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `create`(resource_group_name, factory_name, trigger_name, rerun_trigger_name, rerun_tumbling_window_trigger_action_parameters, custom_headers=None, raw=False, **operation_config)

    Creates a rerun trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - rerun_trigger_name (str) – The rerun trigger name.
    - rerun_tumbling_window_trigger_action_parameters (RerunTumblingWindowTriggerActionParameters) – Rerun tumbling window trigger action parameters.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | TriggerResource or ClientRawResponse if raw=true
    Return type: | TriggerResource or ClientRawResponse
    Raises: | `CloudError`

  `list_by_trigger`(resource_group_name, factory_name, trigger_name, custom_headers=None, raw=False, **operation_config)

    Lists rerun triggers by an original trigger name.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of RerunTriggerResource
    Return type: | RerunTriggerResourcePaged[RerunTriggerResource]
    Raises: | `CloudError`

  `start`(resource_group_name, factory_name, trigger_name, rerun_trigger_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts a trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - rerun_trigger_name (str) – The rerun trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `stop`(resource_group_name, factory_name, trigger_name, rerun_trigger_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Stops a trigger.

    Parameters:

    - resource_group_name (str) – The resource group name.
    - factory_name (str) – The factory name.
    - trigger_name (str) – The trigger name.
    - rerun_trigger_name (str) – The rerun trigger name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datafactory.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datafactory/models/__init__.py'>